import { SpringInterpolator, InterpolatorConfig } from './types';
import { ElementType } from 'react';
declare const window: {
    requestAnimationFrame: (cb: (time: number) => void) => number;
    cancelAnimationFrame: (id: number) => void;
};
export declare let defaultElement: string | ElementType;
export declare let applyAnimatedValues: (node: any, props: any) => boolean | void;
export declare let createAnimatedInterpolation: SpringInterpolator;
export declare let createStringInterpolator: (config: InterpolatorConfig<string>) => (input: number) => string;
export declare let frameLoop: {
    update: () => boolean;
    controllers: Map<number, any>;
    start(controller: any): void;
    stop(controller: any): void;
};
export declare let now: () => number;
export declare let colorNames: {
    [key: string]: number;
} | null;
export declare let skipAnimation: boolean;
export declare let createAnimatedStyle: ((style: any) => any) | null;
export declare let createAnimatedTransform: ((transform: any) => any) | null;
export declare let requestAnimationFrame: typeof window.requestAnimationFrame;
export declare let cancelAnimationFrame: typeof window.cancelAnimationFrame;
export interface AnimatedGlobals {
    now?: typeof now;
    frameLoop?: typeof frameLoop;
    colorNames?: typeof colorNames;
    skipAnimation?: typeof skipAnimation;
    defaultElement?: typeof defaultElement;
    applyAnimatedValues?: typeof applyAnimatedValues;
    createStringInterpolator?: typeof createStringInterpolator;
    createAnimatedInterpolation?: typeof createAnimatedInterpolation;
    createAnimatedTransform?: typeof createAnimatedTransform;
    createAnimatedStyle?: typeof createAnimatedStyle;
    requestAnimationFrame?: typeof requestAnimationFrame;
    cancelAnimationFrame?: typeof cancelAnimationFrame;
}
export declare const assign: (globals: AnimatedGlobals) => AnimatedGlobals;
export {};
